package com.fdkankan.scene.util;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public class ParamConvertUtil {

    public static List<String> getSceneSource(String sceneSource){
        List<String> sceneSourceList ;
        switch (sceneSource){
            case "1" : sceneSourceList = Arrays.asList("1","2","12","13","14"); break;  //四维看看
            case "3" : sceneSourceList = Collections.singletonList("3"); break;//四维看见
            default:
                if(sceneSource.contains(",")){
                    sceneSource = sceneSource + ",12,13,14";
                    sceneSourceList = Arrays.asList(sceneSource.split(","));
                    break;
                }
                sceneSourceList = Collections.singletonList(sceneSource);break;
        }
        return sceneSourceList;
    }
}
